summaryrefslogtreecommitdiffstats
path: root/contrib/smbfs/examples/print/lj6l
diff options
context:
space:
mode:
authorsheldonh <sheldonh@FreeBSD.org>2001-12-14 11:06:03 +0000
committersheldonh <sheldonh@FreeBSD.org>2001-12-14 11:06:03 +0000
commit4e260b134ff188548ec2c8a16a37570a4abf1257 (patch)
tree672d7786f89ed3b67f221098cb86cf0bc53ad5e3 /contrib/smbfs/examples/print/lj6l
downloadFreeBSD-src-4e260b134ff188548ec2c8a16a37570a4abf1257.zip
FreeBSD-src-4e260b134ff188548ec2c8a16a37570a4abf1257.tar.gz
Import smbfs-1.4.1.
This is Boris Popov's SMB/CIFS file system implementation for FreeBSD. Obtained from: Boris Popov via ftp://ftp.butya.kz/pub/smbfs/
Diffstat (limited to 'contrib/smbfs/examples/print/lj6l')
-rwxr-xr-xcontrib/smbfs/examples/print/lj6l22
1 files changed, 22 insertions, 0 deletions
diff --git a/contrib/smbfs/examples/print/lj6l b/contrib/smbfs/examples/print/lj6l
new file mode 100755
index 0000000..578611a
--- /dev/null
+++ b/contrib/smbfs/examples/print/lj6l
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Sample input filter to print on HP Laser Jet printers
+# Installed in /usr/local/libexec/hp6l
+
+DEVICE="ljet3"
+PAPERSIZE="a4"
+
+printf "\033&k2G" || exit 2
+
+read first_line
+first_two_chars=`expr "$first_line" : '\(..\)'`
+
+if [ "$first_two_chars" = "%!" ]; then
+ exec 3>&1 1>&2
+ /usr/local/bin/gs -sPAPERSIZE=${PAPERSIZE} -dSAFER -dNOPAUSE -q -sDEVICE=${DEVICE} \
+ -sOutputFile=/dev/fd/3 - && exit 0
+else
+ echo $first_line && cat && printf "\033&l0H" && exit 0
+fi
+
+exit 2
OpenPOWER on IntegriCloud